
---
apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: mouhsen-v3
spec:
  hosts:
    - reviews
  http:
  - match:
    - headers:
        end-user:
          exact: mouhsen
    route:
    - destination:
        host: reviews
        subset: v3
  - route:
    - destination:
        host: reviews
        subset: v1
